import Foundation
import Dependencies

public struct Identifier {
    let value: String
    public init(value: String) {
        self.value = value
    }
}

extension Identifier: DependencyKey {
    public static var liveValue: Identifier {
        return Identifier(value: "id")
    }
}

extension DependencyValues {
    public var identifier: Identifier {
        get {  self[Identifier.self] }
        set {  self[Identifier.self] = newValue }
    }
}

public struct Utility {
    @Dependency(\.identifier) var identifier
    
    func value() -> String {
        return self.identifier.value
    }
}
