import XCTest
import Dependencies
@testable import ParallelTesting

final class ParallelTestingTests: XCTestCase {
    func test1() async throws {
        let uuid = UUID().uuidString
        let utility: Utility = withDependencies {
            $0.identifier = Identifier(value: uuid)
        } operation: {
            Utility()
        }
        let got = await withTaskGroup(of: Void.self, returning: String.self) { group in
            return utility.value()
        }
        XCTAssertEqual(got, uuid)
    }
}
